import os

from CeibalSCAUtils import *
from CeibalSCAConf import *

class URL:
    _names = ['sync','resync','known','logoff']

    def __init__(self):
        pass
	
    def __setattr__(self, name, value):
        ceibal_conf = CeibalSCAConf.get_instance()
		
        if (name in self._names):
            write_fs(os.path.join(ceibal_conf.get_sca_security_path(),
                                  'urls', name), value)

    def __getattr__(self, name):
        ceibal_conf = CeibalSCAConf.get_instance()
		
        if (name in self._names):
            return read_fs(os.path.join(ceibal_conf.get_sca_security_path(),
                                        'urls', name))
        else:
            # 'name' doesnt exist
            raise AttributeError("%s not found" % name)

